## org.apache.batik.util.gui.resource
Class JToolbarButton.MouseListener

    java.lang.Object
      java.awt.event.MouseAdapter
          org.apache.batik.util.gui.resource.JToolbarButton.MouseListener

All Implemented Interfaces:
  java.util.EventListener, java.awt.event.MouseListener

Enclosing class:
  JToolbarButton

protected class JToolbarButton.MouseListener
extends java.awt.event.MouseAdapter

To manage the mouse interactions.

Constructor Summary
`protected` `JToolbarButton.MouseListener()`

Method Summary
`void` `mouseEntered(java.awt.event.MouseEvent ev)`
`void` `mouseExited(java.awt.event.MouseEvent ev)`

Methods inherited from class java.awt.event.MouseAdapter
`mouseClicked, mousePressed, mouseReleased`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JToolbarButton.MouseListener

    protected JToolbarButton.MouseListener()

Method Detail

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent ev)

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent ev)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.